Subject: [PATCH v9 1/6] arm64: Add macros to manage processor debug state

From: [email-masked] (Catalin Marinas)
Date: Thu, 20 Feb 2014 11:52:06 +0000

On Thu, Feb 20, 2014 at 06:58:25AM +0000, Vijay Kilari wrote:
> When I made below patch it works. I have tested with 4 cores on foundation model
> 
> --- a/arch/arm64/kernel/smp.c
> +++ b/arch/arm64/kernel/smp.c
> @@ -160,6 +160,8 @@ asmlinkage void secondary_start_kernel(void)
>         set_cpu_online(cpu, true);
>         complete(&cpu_running);
> 
> +       local_dbg_enable();
>         local_irq_enable();
>         local_async_enable();

I tested this as well and seems to work fine. I'll let Will comment on
whether this fix is enough and if yes, I'll fold it into one of your
patches (or push it on top of them).

-- 
Catalin